<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../styles/main.css"> <!-- Estilo css -->
    <title>Nova entrada de Peso</title>

    <script>
        function calcularImc() {
            var iPeso = document.getElementById("txtPeso");
            var iAltura = document.getElementById("txtAltura");

            var peso = parseFloat(iPeso.value);
            var altura = parseFloat(iAltura.value);

            resultado = peso / (altura * altura)

            if (resultado <= 18.5) {
                document.getElementById("muitoMagro").style.display = 'block'
            }
            else if (resultado >= 18.6 || resultado <= 24.9) {
                document.getElementById("normal").style.display = 'block'
            }
            else if (resultado >= 25 || resultado <= 29.9) {
                document.getElementById("sobrepeso").style.display = 'block'
            }
            else if (resultado >= 30 || resultado <= 39.9) {
                document.getElementById("obesidadeLeve").style.display = 'block'
            }
            else if (resultado > 40) {
                document.getElementById("obesidadeGrave").style.display = 'block'
            }

            document.getElementById("txtResultado").innerHTML = resultado;
        }


    </script>

</head>

<body>
    <h1>IMC</h1>
    <h2>Digite seu peso atual para o cálculo de IMC</h2>

    <label for="">Peso</label>
    <input type="text" name="nPeso" id="txtPeso"><br>
    <label for="">Altura</label>
    <input type="text" name="nAltura" id="txtAltura">


    <button onclick="calcularImc()">Calcular</button>
    <p id="txtResultado">O resultado será mostrado nesse parágrafo!!</p>
    <p id="muitoMagro" style="display: none;">Magreza</p>
    <p id="normal" style="display: none;">Normal</p>
    <p id="sobrepeso" style="display: none;">Sobrepeso</p>
    <p id="obesidadeLeve" style="display: none;">Obeso</p>
    <p id="obesidadeGrave" style="display: none;">Obesidade Grave</p>

</body>

</html>